import { API } from '../api.js';
import { LitElement, css, html, repeat } from '../vendor/lit-html/lit-all.min.js';

export class DocumentQueueEntrySeparator extends LitElement {
	static properties = {
		queueEntry: { type: Object },

		api: { type: Object, state: true },
	};

	constructor() {
		super();

		/** @type {API} */
		this.api;
		/** @type {import('model').APIQueueEntry} */
		this.document;
	}

	static styles = css`
		:host {
			width: 100%;
			background: black;
		}
	`;

	// @ts-ignore
	render() {
		return html`
			
		`;
	}
}

customElements.define("document-queue-entry-separator", DocumentQueueEntrySeparator);
